Results 1 to 5 of 5

Thread: Surfliner 2.3 Can it use surfliner 2 activities?

  1. #1
    Join Date
    Sep 2017
    Location
    Nakhon Sawan, Thailand
    Posts
    207

    Default Surfliner 2.3 Can it use surfliner 2 activities?

    I just installed Pacific Surfliner 2.2 and was planning to proceed to the upgrade to 2.3. I tried one of the three included activities, and the route is gorgeous. When I looked for more activities in the file library I didn't find any. Suggestions?

  2. #2

    Default

    @Procopius,

    I created some activities for Surfliner 2.0 a few years ago [ek_surfliner2_1.zip] and they're in the F/L. This was prior to the 2.2 and 2.3 upgrades and I have yet to fiddle around with them. Based on what I'm reading in readmes of the updates, no track modifications have been made. Therefore, all Surfliner 2.0 activities should work in 2.2 or 2.3. I've yet to test this out, though. But you should be good to go on any Surfliner 2 activities you find.

    EK

  3. #3
    Join Date
    Feb 2013
    Location
    known universe
    Posts
    1,741

    Default

    Yes, previous activities ( 2.0 & 2.2 ) work with 2.3, I think I had to rework some paths for very early versions of the surfliner, but I cannot remember which ones.
    Cheers, R. Steele [Gerry] It's my railroad and I'll do what I want! Historically accurate attitude of US Railroad Barons.


  4. #4
    Join Date
    Sep 2017
    Location
    Nakhon Sawan, Thailand
    Posts
    207

    Default

    Oh, that's good news. The route is gorgeous. It's too bad there aren't more activities for it. I don't have the skills to make them yet. I tried installing a v2.0 activity and it told me it needed v2.0. I just downloaded that today. I guess I can use Slipperman's .apk utility to install in v2.2/3.

  5. #5
    Join Date
    Feb 2013
    Location
    known universe
    Posts
    1,741

    Default

    Quote Originally Posted by Procopius View Post
    It's too bad there aren't more activities for it. I don't have the skills to make them yet. I tried installing a v2.0 activity and it told me it needed v2.0. I just downloaded that today. I guess I can use Slipperman's .apk utility to install in v2.2/3.
    Currently I have 54 activities installed and working with V2.3 -- plus --- a surfliner activity template ( http://www.skylinecomputing.com/templates2.htm )

    Concerning downloading and installing older activities into the newer route:
    Yes, use slippermans Apk utility to make a zip file of the activity, unzip the activity to a temp folder and make the following changes to the activity file:
    Code:
    [email protected]@@@@@@@@@JINX0a0t______
    
    Tr_Activity (
    	Serial ( 7 )
    	Tr_Activity_Header (
    		RouteID ( Surfliner2 )  <<<< change RouteID to match new route
    Code:
    [email protected]@@@@@@@@@JINX0a0t______
    
    Tr_Activity (
    	Serial ( 7 )
    	Tr_Activity_Header (
    		RouteID ( Surfliner2-3 )  <<< like this
    Then it will work with surfliner Ver2.3 ( caution... some path work may be required...PM me if you need help with the paths.)
    Cheers, R. Steele [Gerry] It's my railroad and I'll do what I want! Historically accurate attitude of US Railroad Barons.


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •